### Method

# Gtk Native get_surface_transform

#### Declaration [src]

    void
    gtk_native_get_surface_transform (
      GtkNative* self,
      double* x,
      double* y
    )

#### Description [src]

Retrieves the surface transform of `self`.

This is the translation from `self`‘s surface coordinates into `self`‘s widget coordinates.

#### Parameters

`x` | `double*`
| Return location for the x coordinate.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`y` | `double*`
| Return location for the y coordinate.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.